@import 'libs/shared/assets/src/global-style/variable';
@import 'libs/shared/assets/src/global-style/input';
@import 'libs/shared/assets/src/global-style/button';

::ng-deep .ant-table-pagination.ant-pagination {
    width: 100%;
    text-align: right;
    display: block;

    .ant-pagination-total-text {
        clear: both;
        float: left;
    }
}

::ng-deep {
    nz-date-picker > div > span {
        margin-right: 7px;
    }
}

::ng-deep {
    .ant-table-thead > tr > th {
        background: #e8eaf6;
        font-weight: bold;
        font-size: 14px;
        line-height: 120%;
    }
    .ant-pagination {
        //float: right;
        //margin-top: 16px;
    }
    .ant-pagination-item-link {
        border-radius: 8px;
        display: flex !important;
        align-items: center;
        justify-content: center;
    }
    .ant-pagination-item-link-icon {
        margin-right: 14px;
    }

    .ant-pagination-item {
        border-radius: 8px;
    }
    .ant-pagination-item-active {
        border-color: $primary-button-color;
        border-radius: 8px;
        a {
            color: $primary-button-color;
        }
    }
    .ant-pagination-next {
        margin-right: 18px;
    }
    //nz-table {
    //    margin: 12px 24px 12px 24px;
    //}
    .ant-picker-header-super-prev-btn {
        order: 2;
        display: none;
    }
    .ant-picker-header-prev-btn {
        order: 3;
    }
    .ant-picker-header-view {
        order: 1;
        margin-left: -145px;
    }
    .ant-picker-header-next-btn {
        order: 4;
    }
    .ant-picker-header-super-next-btn {
        order: 5;
        display: none;
    }
    .ant-picker-cell-selected .ant-picker-cell-inner {
        background: #141ed2 !important;
        border-radius: 8px;
        color: white;
    }
}

.table__header {
    color: #14142A;
    font-size: 20px;
    font-weight: 600;
    line-height: 32px;
    padding: 16px 0;
}

.search__result {
  margin-top: 0px;
}

.btn__row {
  padding-top: 17px;
}

::ng-deep mb-table-wrap > nz-card {
  background: none !important;
}

::ng-deep .staff__research__btn__search > button {
  padding-top: 10px !important;
  padding-bottom: 26px !important;
}

.btnAcrossPageName {
  position: absolute;
  top: 135px;
  right: 27px;
}
